package com.miaxis.carousel.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.carousel.domain.HomePageDataInfo;
import com.miaxis.carousel.vo.HomePageDataInfoVo;
import com.miaxis.common.core.domain.Response;

import java.util.List;

/**
 * 首页数据Service接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface IHomePageDataInfoService extends IService<HomePageDataInfo>{

    /**
     * 查询首页数据列表
     *
     * @param homePageDataInfo 首页数据
     * @return 首页数据集合
     */
    List<HomePageDataInfoVo> selectHomePageDataInfoList(HomePageDataInfo homePageDataInfo);

    /**
     * 新增首页数据
     * @param homePageDataInfo
     * @return
     */
    Response saveHomePageDataInfo(HomePageDataInfo homePageDataInfo);

    /**
     * 修改首页数据
     * @param homePageDataInfo
     * @return
     */
    Response<Integer> updateHomePageDataInfoById(HomePageDataInfo homePageDataInfo);

    /**
     * 获取首页数据详细信息
     * @param id
     * @return
     */
    Response<HomePageDataInfoVo> getHomePageDataById(Long id);



    /**
     * 删除首页数据(伪删除)
     * @param ids
     * @return
     */
    Response<Integer> removeCarouselByIds(Long[] ids);

    /**
     * applet
     * 获取首页数据列表
     * @return
     */
    Response getHomePageDataList();


    int updateHomePageDataByPictureName(HomePageDataInfoVo homePageDataInfoVo);

    /**
     * 同步数据
     * @return
     */
    Response synchroData();


}
